plugins {
    kotlin("jvm")
    kotlin("plugin.spring")
    kotlin("plugin.jpa")
    id("org.springframework.boot")
    id("io.spring.dependency-management")
}

dependencies {
    implementation("org.springframework.boot:spring-boot-starter-web"){
        exclude(module="logback-classic")
        exclude(module="log4j-to-slf4j")
    }
    implementation("org.springframework.boot:spring-boot-starter-data-jpa"){
        exclude(module="logback-classic")
        exclude(module="log4j-to-slf4j")
    }
    implementation("org.springframework.boot:spring-boot-starter-security"){
        exclude(module="logback-classic")
        exclude(module="log4j-to-slf4j")
    }
    implementation("org.jetbrains.kotlin:kotlin-reflect")
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8")
    implementation("io.jsonwebtoken:jjwt:0.9.1")
    implementation("org.springframework.boot:spring-boot-starter-log4j2:2.2.4.RELEASE")

    runtimeOnly("mysql:mysql-connector-java")
    testImplementation("org.springframework.boot:spring-boot-starter-test") {
        exclude(group = "org.junit.vintage", module = "junit-vintage-engine")
    }
    testImplementation("org.springframework.security:spring-security-test")
}